> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Export log lines

GET https://api.mezmo.com/v2/export

Use this method to export logs in JSON format from a logging instance.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/export/exportv-2

## Authentication

- `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token <ACCESS TOKEN>' ```
- `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

## Request

### Query parameters

- `from` (string, required) — Start time (inclusive). Set as UNIX timestamp in seconds or milliseconds.
- `to` (string, required) — End time (inclusive). Set as UNIX timestamp in seconds or milliseconds.
- `size` (string, optional) — Number of log lines to include in the export.
- `hosts` (string, optional) — Comma-separated list of hosts.
- `apps` (string, optional) — Comma-separated list of applications.
- `levels` (string, optional) — Comma-separated list of log levels.
- `query` (string, optional) — Search query.
- `prefer` (string, optional) — Defines the log lines that you want to export. Valid values are head, first log lines, and tail, last log lines. If not specified, defaults to tail.
- `pagination_id` (string, optional) — ID that indicates which page of results to be retrieved. Leave empty for the initial export request.

## Response

### 200

OK

- `map from string to V2ExportGetResponsesContentApplicationJsonSchema`

## Types

### V2ExportGetResponsesContentApplicationJsonSchema

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v2/export"

querystring = {"from":"1685606400000","to":"1685692799000","size":"5000","hosts":"logs.acme-corp.io,telemetry.acme-corp.io","apps":"payment-service,auth-gateway,order-processor","levels":"INFO,WARN,ERROR","query":"error_rate_5xx > 0.05","prefer":"tail"}

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail';
const options = {
  method: 'GET',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v2/export?from=1685606400000&to=1685692799000&size=5000&hosts=logs.acme-corp.io%2Ctelemetry.acme-corp.io&apps=payment-service%2Cauth-gateway%2Corder-processor&levels=INFO%2CWARN%2CERROR&query=error_rate_5xx+%3E+0.05&prefer=tail")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```